[FFmpeg-devel] [PATCH] Current SVN doesn't build with gcc 4.2.x

Måns Rullgård mans
Mon Jul 2 19:50:34 CEST 2007

Bernhard Rosenkraenzer <bero at arklinux.org> writes:

> On Monday 02 July 2007, Uoti Urpala wrote:
>> > ffmpeg.c:118: error: initializer element is not constant.
>> I see no such error on this machine.
>> gcc-4.2 (GCC) 4.2.1 20070627 (prerelease) (Debian 4.2-20070627-1)
> Happens here with
> gcc (GCC) 4.2.1 20070613 (prerelease)
> So either it was fixed between 20070613 and 20070627 or Debian is
> applying a patch...

No errors here with a gcc 4.3 prerelease.

That said, since the (AVRational) is not necessary, I vote for
removing it.  It may even be creating an unnamed AVRational with file
static scope.

Out of interest, is your gcc version happy if you change it to
(const AVRational)?

The compound literal construct is described in C99 section,
should anyone care to try reading it.

M?ns Rullg?rd
mans at mansr.com

More information about the ffmpeg-devel mailing list